## imcode.server.document.textdocument
Class ImageSource

    java.lang.Object
      imcode.server.document.textdocument.ImageSource

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FileDocumentImageSource, ImagesPathRelativePathImageSource, NullImageSource

    public abstract class ImageSource

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` `IMAGE_TYPE_ID__FILE_DOCUMENT`
`static int` `IMAGE_TYPE_ID__IMAGES_PATH_RELATIVE_PATH`
`static int` `IMAGE_TYPE_ID__NULL`

Constructor Summary
`ImageSource()`

Method Summary
`abstract java.util.Date` `getModifiedDatetime()`
`abstract int` `getTypeId()`
`abstract java.lang.String` `getUrlPathRelativeToContextPath()`
`boolean` `isEmpty()`
`abstract java.lang.String` `toStorageString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMAGE_TYPE_ID__NULL

    public static final int IMAGE_TYPE_ID__NULL

See Also:
  Constant Field Values

### IMAGE_TYPE_ID__IMAGES_PATH_RELATIVE_PATH

    public static final int IMAGE_TYPE_ID__IMAGES_PATH_RELATIVE_PATH

See Also:
  Constant Field Values

### IMAGE_TYPE_ID__FILE_DOCUMENT

    public static final int IMAGE_TYPE_ID__FILE_DOCUMENT

See Also:
  Constant Field Values

Constructor Detail

### ImageSource

    public ImageSource()

Method Detail

### getUrlPathRelativeToContextPath

    public abstract java.lang.String getUrlPathRelativeToContextPath()

### toStorageString

    public abstract java.lang.String toStorageString()

### getTypeId

    public abstract int getTypeId()

### getModifiedDatetime

    public abstract java.util.Date getModifiedDatetime()

### isEmpty

    public boolean isEmpty()